php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #59743 doesn't install neither on os x or linux
Submitted: 2011-05-02 14:23 UTC Modified: 2013-02-18 00:35 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: sathia dot musso at gmail dot com Assigned:
Status: No Feedback Package: mysqlnd_ms (PECL)
PHP Version: 5.3.8 OS: Os x / linux
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: sathia dot musso at gmail dot com
New email:
PHP Version: OS:

 

 [2011-05-02 14:23 UTC] sathia dot musso at gmail dot com
Description:
------------
Hi, I've tried a lot of combinations over different OS's but 
the error is always the same:

/pecl install channel://pecl.php.net/mysqlnd_ms-1.0.1  

[...]

/tmp/pear/temp/mysqlnd_ms/php_mysqlnd_ms.c:28:33: fatal error: 
ext/mysqlnd/mysqlnd.h: No such file or directory
compilation terminated.

i was eager to try this extension, any idea how to fix it?
thanks


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2011-05-02 14:29 UTC] sathia dot musso at gmail dot com
it does work if you:

root@host:/tmp/pear/temp/mysqlnd_ms# cp -a /usr/src/php-
5.3.6/ext/ .
 [2011-05-04 09:32 UTC] johannes at schlueters dot de
Are you sure your PHP installation is using mysqlnd? (Check output of `php -m` or such which should list mysqlnd)
 [2011-09-30 12:46 UTC] sathia dot musso at gmail dot com
trying to install this extension on my dev server, but it 
fails consistently both via pecl and via manual 
installation.

/usr/src/mysqlnd_ms-
1.1.0/ext/mysqlnd/mysqlnd_portability.h:40:46: fatal error: 
ext/mysqlnd/php_mysqlnd_config.h: No such file or directory

this is the error, i tried to symlink the ext dir from the 
sources of my php version (5.3.8.1) but still it won't work. 
I was eager to try the lazy connections. any help on this?
 [2011-10-18 10:34 UTC] uw@php.net
-Status: Open +Status: Feedback
 [2011-10-18 10:34 UTC] uw@php.net
Please, describe how you installed PHP:

 - what is your PHPs' configure line?
 - have you enabled mysqlnd?
 - have you installed PHP after the build?
 - which version of PHP are you using (several people reporting, thus double-checking)?

This all smells like an incomplete installation.

Thanks,
Ulf
 [2013-02-18 00:35 UTC] pecl-dev at lists dot php dot net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Fri Jan 24 04:01:24 2020 UTC